checkToken();
signOut();

var nbPages = 20;

instance.get("users/count",  { withCredentials: true }).then(function(response){
   
    var count = response.data / nbPages;
    var reste = response.data % nbPages;
    var total = 0;
    if(reste != 0){
      total = Number.parseInt(count) + 1;
    }

    if(total > 1){
      document.getElementById("page").classList.remove("hidden");
      var pageCurrent = getQuery("page");
      var page = 1;
      if(pageCurrent.length > 0){
        page = Number.parseInt(pageCurrent);
      }

      
      for (var i=0; i<total; i++){
        var liPage = document.querySelectorAll(".page-item")[i+1];
        var cloneLi = liPage.cloneNode(true);
        liPage.after(cloneLi);
        var newPage = i + 2;
        var aPage = document.querySelectorAll(".page-item")[newPage].querySelector("a");
        aPage.text=newPage;
        aPage.href="/html/users.html?page="+newPage;
      }
      document.querySelectorAll(".page-item")[page].classList.add("active");
      if(page != 1){
        document.querySelectorAll(".page-item")[0].classList.remove("disabled");
      }
      if(page == total){
        document.querySelectorAll(".page-item")[page].classList.add("disabled");
      }
    }
    

});



var page = 0;
var pageCurrent = getQuery("page");
if (pageCurrent.length > 0){
  page = Number.parseInt(pageCurrent);
  page = page - 1;
}

instance.get("users", {withCredentials: true, params :{ page:page, nbPages: nbPages}}).then(function(response){
  listData = response.data;
  for (var i=0; i<listData.length; i++){
    var trTag = document.querySelector("#users tbody tr").cloneNode(true);
    console.log(listData[i]);
    if(i != 0){
      console.log(i);
      document.querySelector("#users tbody").append(trTag);
    }
    var trAll = document.querySelectorAll("#users tbody tr")
    td = trAll[i].querySelectorAll("td");
    td[0].textContent = listData[i].id;
    td[1].textContent = listData[i].pseudo
    td[2].textContent = listData[i].email
    td[3].textContent = listData[i].roles
    var classTd = "";
    switch(listData[i].status){
      case 1:
        classTd = ".activeStatus";
        break;
      case 0:
        classTd = ".disableStatus";
        break;
      case 2:
        classTd = ".confirmStatus";
        break;
      case -1:
        classTd = ".removeStatus";
        break;
      default:
        classTd = ".unknownStatus"
        break;
    }
    td[4].querySelector(".activeStatus").classList.add("hidden");
    td[4].querySelector(classTd).classList.remove("hidden");
    
    trAll[i].addEventListener("click", function(e){
      var id = e.currentTarget.querySelector("td").textContent;
      location.href="/html/user.html?id="+id;
    });

  }
});


document.getElementById("addUser").addEventListener("click", function(){
  location.href="/html/adduser.html";
})



